OpenVDB: ArgInfoVector Struct Reference

OpenVDB 12.1.0

Loading...
Searching...
No Matches
ArgInfoVector Struct Reference

Container of ArgInfos. This class makes up part of the Function API for querying signature information. More...

`#include <openvdb_ax/codegen/FunctionTypes.h>`

## Public Types
using | ContainerT = SmallArgumentVector<ArgInfo>

## Public Member Functions
| ArgInfoVector ()=default
| ArgInfoVector (const std::initializer_list< ArgInfo > &info)
| ArgInfoVector (ArgInfoVector &&)=default
| ArgInfoVector (const ArgInfoVector &)=default
ArgInfoVector & | operator= (ArgInfoVector &&)=default
ArgInfoVector & | operator= (const ArgInfoVector &)=default
bool | operator== (const ArgInfoVector &other) const
bool | operator!= (const ArgInfoVector &other) const
auto | begin ()
auto | end ()
auto | begin () const
auto | end () const
auto | rbegin ()
auto | rend ()
auto | rbegin () const
auto | rend () const
auto & | front ()
auto & | front () const
auto & | back ()
auto & | back () const
auto | pop_back ()
auto | clear ()
auto | size () const
auto | empty () const
auto | erase (ContainerT::const_iterator iter)
void | reserve (size_t i)
template<typename ... Args>
void | emplace_back (Args &&...args)
ArgInfo & | operator[] (size_t pos)
const ArgInfo & | operator[] (size_t pos) const
SmallArgumentVector< llvm::Type * > | AsLLVMTypes () const

## Detailed Description

Container of ArgInfos. This class makes up part of the Function API for querying signature information.

## Member Typedef Documentation

## ◆ ContainerT

using ContainerT = SmallArgumentVector<ArgInfo>

## Constructor & Destructor Documentation

## ◆ ArgInfoVector() [1/4]

ArgInfoVector | ( |  | ) |
| default

## ◆ ArgInfoVector() [2/4]

ArgInfoVector | ( | const std::initializer_list< ArgInfo > & | info | ) |
| inline

## ◆ ArgInfoVector() [3/4]

ArgInfoVector | ( | ArgInfoVector && |  | ) |
| default

## ◆ ArgInfoVector() [4/4]

ArgInfoVector | ( | const ArgInfoVector & |  | ) |
| default

## Member Function Documentation

## ◆ AsLLVMTypes()

SmallArgumentVector< llvm::Type * > AsLLVMTypes | ( |  | ) | const
| inline

## ◆ back() [1/2]

auto & back | ( |  | ) |
| inline

## ◆ back() [2/2]

auto & back | ( |  | ) | const
| inline

## ◆ begin() [1/2]

auto begin | ( |  | ) |
| inline

## ◆ begin() [2/2]

auto begin | ( |  | ) | const
| inline

## ◆ clear()

auto clear | ( |  | ) |
| inline

## ◆ emplace_back()

template<typename ... Args>

void emplace_back | ( | Args &&... | args | ) |
| inline

## ◆ empty()

auto empty | ( |  | ) | const
| inline

## ◆ end() [1/2]

auto end | ( |  | ) |
| inline

## ◆ end() [2/2]

auto end | ( |  | ) | const
| inline

## ◆ erase()

auto erase | ( | ContainerT::const_iterator | iter | ) |
| inline

## ◆ front() [1/2]

auto & front | ( |  | ) |
| inline

## ◆ front() [2/2]

auto & front | ( |  | ) | const
| inline

## ◆ operator!=()

bool operator!= | ( | const ArgInfoVector & | other | ) | const
| inline

## ◆ operator=() [1/2]

ArgInfoVector & operator= | ( | ArgInfoVector && |  | ) |
| default

## ◆ operator=() [2/2]

ArgInfoVector & operator= | ( | const ArgInfoVector & |  | ) |
| default

## ◆ operator==()

bool operator== | ( | const ArgInfoVector & | other | ) | const
| inline

## ◆ operator[]() [1/2]

ArgInfo & operator[] | ( | size_t | pos | ) |
| inline

## ◆ operator[]() [2/2]

const ArgInfo & operator[] | ( | size_t | pos | ) | const
| inline

## ◆ pop_back()

auto pop_back | ( |  | ) |
| inline

## ◆ rbegin() [1/2]

auto rbegin | ( |  | ) |
| inline

## ◆ rbegin() [2/2]

auto rbegin | ( |  | ) | const
| inline

## ◆ rend() [1/2]

auto rend | ( |  | ) |
| inline

## ◆ rend() [2/2]

auto rend | ( |  | ) | const
| inline

## ◆ reserve()

void reserve | ( | size_t | i | ) |
| inline

## ◆ size()

auto size | ( |  | ) | const
| inline